Index: trunk/grails-app/views/taskDetailed/search.gsp
===================================================================
--- trunk/grails-app/views/taskDetailed/search.gsp	(revision 476)
+++ trunk/grails-app/views/taskDetailed/search.gsp	(revision 498)
@@ -97,7 +97,9 @@
                                 <g:sortableColumn property="description" title="Description" params="${filterParams}" />
 
-                                <g:sortableColumn  property="taskPriority" title="Task Priority" params="${filterParams}" />
+                                <g:sortableColumn  property="taskPriority" title="Priority" params="${filterParams}" />
 
-                                <g:sortableColumn  property="taskStatus" title="Task Status" params="${filterParams}" />
+                                <g:sortableColumn  property="taskStatus" title="Type" params="${filterParams}" />
+
+                                <g:sortableColumn  property="taskStatus" title="Status" params="${filterParams}" />
 
                                 <th></th>
@@ -108,7 +110,7 @@
                         <tbody>
                         <g:each in="${taskInstanceList}" status="i" var="taskInstance">
-                        <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'/>
+                        <tr class="${(i % 2) == 0 ? 'clickableOdd' : 'clickableEven'}"/>
 
-                                <td class="idColumn">
+                                <td class="idColumn" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
                                     <g:if test="${taskInstance.attentionFlag}">
                                         <img  src="${resource(dir:'images/skin',file:'flag_red.png')}" alt="Flag" />
@@ -116,15 +118,29 @@
                                 </td>
 
-                                <td class="idColumn">${fieldValue(bean:taskInstance, field:'id')}</td>
+                                <td class="idColumn" onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    ${fieldValue(bean:taskInstance, field:'id')}
+                                </td>
 
-                                <td><g:formatDate date="${taskInstance.targetStartDate}" format="EEE, dd-MMM-yyyy"/></td>
+                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    <g:formatDate date="${taskInstance.targetStartDate}" format="EEE, dd-MMM-yyyy"/>
+                                </td>
 
-                                <td>${fieldValue(bean:taskInstance, field:'description')}</td>
+                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    ${fieldValue(bean:taskInstance, field:'description')}
+                                </td>
 
-                                <td>${fieldValue(bean:taskInstance, field:'taskPriority')}</td>
+                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    ${fieldValue(bean:taskInstance, field:'taskPriority')}
+                                </td>
 
-                                <td>${fieldValue(bean:taskInstance, field:'taskStatus')}</td>
+                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    ${fieldValue(bean:taskInstance, field:'taskType')}
+                                </td>
 
-                                <td>
+                                <td onclick='window.location = "${request.getContextPath()}/taskDetailed/show/${taskInstance.id}"'>
+                                    ${fieldValue(bean:taskInstance, field:'taskStatus')}
+                                </td>
+
+                                <td class="notClickable">
                                     <g:link action="show" id="${taskInstance.id}">
                                         <img  src="${resource(dir:'images/skin',file:'database_go.png')}" alt="Show" />
